Bug 1724281 - Review Request: kafs-client - Basic startup and utilities for in-kernel AFS filesystem
Summary: Review Request: kafs-client - Basic startup and utilities for in-kernel AFS f...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robbie Harwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-26 16:16 UTC by David Howells
Modified: 2019-07-23 07:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-23 07:58:04 UTC
Type: ---
rharwood: fedora-review+


Attachments (Terms of Use)

Description David Howells 2019-06-26 16:16:23 UTC
Spec URL: https://www.infradead.org/~dhowells/kafs/kafs-client.spec
SRPM URL: https://www.infradead.org/~dhowells/kafs/kafs-client-0.2-1.fc29.local.src.rpm
Description:

I would like to propose the kafs-client package for inclusion in Rawhide.  It contains:

 (1) systemd scripts to configure the AFS client that's in the Linux kernel (kafs) and now enabled in Fedora (bug 1616016); and to mount the AFS dynamic root on /afs (in the filesystem-afs package now, bug 1720232).

 (2) A simple aklog program to convert Kerberos tickets into rxrpc keys for AFS to use.

 (3) A request-key upcall program to handle DNS lookups on behalf of the kernel for kafs.  This is more capable than the one in keyutils, which it overrides for kafs lookups.

 (4) A utility to check/test/dump the cell database configuration.

 (5) Various manual pages for the concepts and programs involved.

Note that I haven't included manpages for the library - yet - as the functions there are still in flux whilst I work on the kafs-utils package.  This does not, however, prevent the AFS filesystem from being used as a basic network filesystem.

Fedora Account System Username: dhowells

Comment 1 Robbie Harwood 2019-07-05 22:01:49 UTC
Nothing too major here.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/kafs
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/kafs
[!]: Uses parallel make %{?_smp_mflags} macro.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define _hardened_build 1
     rharwood: This should be a %global.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/kafs
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/kafs
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
     rharwood: see "Issues" section above.
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in kafs-
     client , kafs-client-libs-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define _hardened_build 1
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kafs-client-0.2-1.fc31.x86_64.rpm
          kafs-client-libs-0.2-1.fc31.x86_64.rpm
          kafs-client-libs-devel-0.2-1.fc31.x86_64.rpm
          kafs-client-compat-0.2-1.fc31.x86_64.rpm
          kafs-client-debuginfo-0.2-1.fc31.x86_64.rpm
          kafs-client-debugsource-0.2-1.fc31.x86_64.rpm
          kafs-client-0.2-1.fc31.src.rpm
kafs-client.x86_64: W: spelling-error %description -l en_US afs -> ads, as, oafs
kafs-client.x86_64: W: spelling-error %description -l en_US preload -> reload, p reload, freeload
kafs-client.x86_64: W: non-conffile-in-etc /etc/request-key.d/kafs_dns.conf
kafs-client-libs.x86_64: W: spelling-error %description -l en_US shareable -> share able, share-able, reachable
kafs-client-libs.x86_64: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
kafs-client-libs.x86_64: W: no-documentation
kafs-client-libs-devel.x86_64: W: spelling-error %description -l en_US shareable -> share able, share-able, reachable
kafs-client-libs-devel.x86_64: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
kafs-client-libs-devel.x86_64: W: no-documentation
kafs-client-compat.x86_64: W: dangling-relative-symlink /usr/bin/aklog aklog-kafs
kafs-client.src: W: spelling-error %description -l en_US systemd -> systems, system, system d
kafs-client.src: W: spelling-error %description -l en_US afs -> ads, as, oafs
kafs-client.src: W: spelling-error %description -l en_US preload -> reload, p reload, freeload
7 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (debuginfo)
-------------------
Checking: kafs-client-debuginfo-0.2-1.fc31.x86_64.rpm
          kafs-client-libs-debuginfo-0.2-1.fc31.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:

Comment 2 Robbie Harwood 2019-07-05 22:06:35 UTC
(FPC granted an exception to add /afs in https://pagure.io/packaging-committee/issue/888 )

Comment 3 David Howells 2019-07-05 22:46:37 UTC
I've addressed the blocking comments, cranked the minor version and reuploaded:

Spec URL: https://www.infradead.org/~dhowells/kafs/kafs-client.spec
SRPM URL: https://www.infradead.org/~dhowells/kafs/kafs-client-0.3-1.fc29.local.src.rpm

Comment 4 Robbie Harwood 2019-07-05 23:32:11 UTC
I believe you have bumped the wrong field - this probably should have been 0.2-2.  This results in the following new error:

[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://www.infradead.org/~dhowells/kafs/kafs-client-0.3.tar.bz2
     See: https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/

Comment 5 David Howells 2019-07-06 06:03:16 UTC
I forgot to copy across the tarball also.  Fixed that.

Comment 6 Robbie Harwood 2019-07-08 15:24:54 UTC
Looks acceptable.  For completeness, here's that updated checklist:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
     Exception granted in https://pagure.io/packaging-committee/issue/888
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kafs-client-0.3-1.fc31.x86_64.rpm
          kafs-client-libs-0.3-1.fc31.x86_64.rpm
          kafs-client-libs-devel-0.3-1.fc31.x86_64.rpm
          kafs-client-compat-0.3-1.fc31.x86_64.rpm
          kafs-client-debuginfo-0.3-1.fc31.x86_64.rpm
          kafs-client-debugsource-0.3-1.fc31.x86_64.rpm
          kafs-client-0.3-1.fc31.src.rpm
kafs-client.x86_64: W: spelling-error %description -l en_US afs -> ads, as, oafs
kafs-client.x86_64: W: spelling-error %description -l en_US preload -> reload, p reload, freeload
kafs-client.x86_64: W: non-conffile-in-etc /etc/request-key.d/kafs_dns.conf
kafs-client-libs.x86_64: W: spelling-error %description -l en_US shareable -> share able, share-able, reachable
kafs-client-libs.x86_64: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
kafs-client-libs.x86_64: W: no-documentation
kafs-client-libs-devel.x86_64: W: spelling-error %description -l en_US shareable -> share able, share-able, reachable
kafs-client-libs-devel.x86_64: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
kafs-client-libs-devel.x86_64: W: no-documentation
kafs-client-compat.x86_64: W: dangling-relative-symlink /usr/bin/aklog aklog-kafs
kafs-client.src: W: spelling-error %description -l en_US systemd -> systems, system, system d
kafs-client.src: W: spelling-error %description -l en_US afs -> ads, as, oafs
kafs-client.src: W: spelling-error %description -l en_US preload -> reload, p reload, freeload
7 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (debuginfo)
-------------------
Checking: kafs-client-libs-debuginfo-0.3-1.fc31.x86_64.rpm
          kafs-client-debuginfo-0.3-1.fc31.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:

Comment 7 Igor Raits 2019-07-23 06:30:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/kafs-client


Note You need to log in before you can comment on or make changes to this bug.